package com.ozs.service.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2023/4/4
 */
@Data
public class AlarmStatisticDayDto {

    /**
     * 报警类型编码
     */
    private String alarmType;

    /**
     * 报警类型
     */
    //@Excel(name = "报警类型")
    private String alarmTypeValue;

    /**
     * 报警日期
     */
    @Excel(name = "报警日期")
    private Integer daysta;

    /**
     * 报警次数
     */
    @Excel(name = "报警次数")
    private Integer frequency;

    /**
     * 报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //@Excel(name = "报警时间")
    private Date alarmTime;
}
